function leadingZero (num) {
  if (num < 10) return '0' + num
  else return num.toString()
}

export default {
  methods: {
    prettyDate: function (date) {
      var d = new Date(date)
      // note: Date.getMonth() returns the month as an index from 0 to 11
      return leadingZero(d.getDate()) + '.' + leadingZero(d.getMonth() + 1) + '.' + d.getFullYear() + ' ' + leadingZero(d.getHours()) + ':' + leadingZero(d.getMinutes())
    },
    prettyDuration: function (start, end) {
      var duration = (new Date(end).getTime() - new Date(start).getTime()) / 1000
      var hours = Math.floor(duration / 60 / 60)
      var minutes = (duration / 60) % 60
      return leadingZero(hours) + ':' + leadingZero(minutes)
    }
  }
}
